#define FK_MAXKEYS	20
#define KEY_WIDTH 	50
#define KEY_HEIGHT	25

#define EX_FKM_VALUE_ATOM_NAME "__exFkmValue"

/* key specific flags */
#define	KEY_EXECUTE	    	0x1	/* execute immediate */
#define KEY_BODYDISPLAYED       0x2	/* body window is displayed */

struct FunctionKey {
	int flags;
	KeySym sym;		/* keysym to invoke the function key */
	char *name;
	char *body;	
	Widget bodyWin;		/* window to display body of key */
	int bodyLines;
	char **fbodyText;      	/* formatted body text */
	Widget keywin;		/* the associated window */
	Widget fkBar;		/* the main window to hold the function keys */
};

static char exFkmSccsID[] = "@(#)exFkm.hh	1.2\t11/10/92";            /* sccs keyword */

/* external function definitions */

